Subject: Re: 2.6.24 for mpc8458amc

From: Jon Loeliger <[email-masked]>
Date: Tue, 19 Feb 2008 08:24:51 -0600

maxime louvel wrote:
> Hi,
> 
> I am trying to make a 2.6.24 vanilla kernel boot (an work fine in a 
> second time) on a mpc8548amc board.
> I have add the platform specific stuff from the sources of the current 
> kernel running on the cards.
> What I have basically add is:
> - a folder mpc8548amc, in the config/platform directory, which allow to 
> select the mpc8548amc as the supported platform
> - add the following files:
>   - arch/ppc/configs/mpc8548amc_defconfig
>   - arch/ppc/configs/platforms/85xx/mpc_8548_amc.h and .c
> - I have used the dts of an another platform (mpc8548cds) which seems 
> quite the same, but I haven't got any confirmation of that yet.

Uh, let's clear up minor confusion here.  Are you using
ARCH=ppc or ARCH=powerpc?  I'm surprised to see that there
is mention of arch/ppc/... above.  Are you sure this is an
ARCH=ppc build?  You won't need a DTS file at all then.

But if you are using a DTS file, and I suspect you should,
then this is ARCH=powerpc.

> When I am booting the kernel image I get:
> 
> AMC=> dhcp 0x1000000 uImage.amc.2.6.24
> Speed: 1000, full duplex
> BOOTP broadcast 1
> DHCP client bound to address 10.255.255.2 <http://10.255.255.2/>
> Using eTSEC0 device
> TFTP from server 0.0.0.0 <http://0.0.0.0/>; our IP address is 
> 10.255.255.2 <http://10.255.255.2/>; sending through gateway 10.1.1.1 
> <http://10.1.1.1/>
> Filename 'uImage.amc.2.6.24'.
> Load address: 0x1000000
> Loading: ##############################
> ###################################
>         #################################################################
>         #################################################################
>         #################################################################
>         #################################################################
>         ###########################
> done
> Bytes transferred = 1802102 (1b7f76 hex)
> AMC=> bootm 0x1000000
> ## Booting image at 01000000 ...
>   Image Name:   Linux-2.6.24
>   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
>   Data Size:    1802038 Bytes =  1.7 MB
>   Load Address: 00000000
>   Entry Point:  00000000
>   Verifying Checksum ... OK
>   Uncompressing Kernel Image ... OK
> 
> No further messages...
> 
> Does someone has an idea ?
> 
> thanks,
> Maxime
> 

Did you download a DTB file and use it on the bootm
command?  Nope.

This is really a FAQ failure mode.  Are you sure
you have the console set up properly?  Any chance
you can get to the __log_buf with a BDI-2000?

Thanks,
jdl